#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){

	bredaPic.loadImage("breda.jpg");
	bredaPic.setImageType(OF_IMAGE_GRAYSCALE);
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){

	ofSetColor(255, 255, 255);
	//bredaPic.draw(100,100);
	
	unsigned char * pixels = bredaPic.getPixels();
	for (int i = 0; i < bredaPic.width; i+=5){
		for (int j = 0; j < bredaPic.height; j+=5){
			int pixValue = pixels [ j * bredaPic.width + i];
			
			ofSetColor(0, 0, 0);
			//ofSetColor(pixValue, pixValue, pixValue);
			float pct = 1 - (pixValue / 255.0);
			ofRect(i*3, j*3, 15*pct,15*pct);
		}
	}
	
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

