/*
 *  particle.cpp
 *  emptyExample
 *
 *  Created by Zach Lieberman on 5/4/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#include "particle.h"



void particle::setup(){

	pos.x = ofRandom(0,1024);
	pos.y = ofRandom(0,768);
	vel.x = ofRandom(-1,1);
	vel.y = ofRandom(-1,1);
	
}

void particle::update(){

	pos.x += vel.x;
	pos.y += vel.y;
	
	vel.x *= 0.99;
	vel.y *= 0.99;

}

void particle::draw(){

	ofSetColor(0, 0, 0);
	ofCircle(pos.x, pos.y, 3);
}